com.ihr.xbrl.om.formula.aspects

## Class DimensionTypedRule

- java.lang.Object
- - com.ihr.xbrl.om.formula.aspects.CommonAspectRule
  - - com.ihr.xbrl.om.formula.aspects.DimensionCommonAspectRule
    - - com.ihr.xbrl.om.formula.aspects.DimensionTypedRule

- All Implemented Interfaces:
    DimensionAspectInterface

      public class DimensionTypedRule
      extends DimensionCommonAspectRule
      implements DimensionAspectInterface

  The Class DimensionTypedRule.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `resourceName` The Constant resourceName.

    - ### Fields inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `ALLDIMENSIONALASPECTS, ALLNONDIMENSIONALASPECTS, ANY, COMPLETESCENARIO, COMPLETESEGMENT, CONCEPT, DIMENSION, ENTITYIDENTIFIER, LOCATION, NONE, NONXDTSCENARIO, NONXDTSEGMENT, PERIOD, UNIT, VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionTypedRule(XBRLFormula formula, net.sf.saxon.s9api.XdmNode aspectNode)` Instantiates a new dimension typed rule.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `resolve(XMLElementDefinition el, FContext fc, XPathHelper xph, javax.xml.namespace.QName dimName)` Resolve one dimension in the appropriate dimension container.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.DimensionCommonAspectRule

      `getDimension`

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `getAspectsText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.formula.aspects.DimensionAspectInterface

      `getDimension`

- - ### Field Detail

    - #### resourceName

          public static final javax.xml.namespace.QName resourceName

      The Constant resourceName.

  - ### Constructor Detail

    - #### DimensionTypedRule

          public DimensionTypedRule(XBRLFormula formula,
                            net.sf.saxon.s9api.XdmNode aspectNode)
                             throws XFValidationException

      Instantiates a new dimension typed rule.
      Parameters:
        `formula` - the formula
        `aspectNode` - the aspect node
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### resolve

          public void resolve(XMLElementDefinition el,
                     FContext fc,
                     XPathHelper xph,
                     javax.xml.namespace.QName dimName)
                       throws XFValidationException

      Description copied from interface: `DimensionAspectInterface`
      Resolve one dimension in the appropriate dimension container.
      Specified by:
        `resolve` in interface `DimensionAspectInterface`
      Parameters:
        `el` - This is the concept definition for which the dimension is going to be resolved
        `fc` - the fc
        `xph` - the xph
        `dimName` - the dim name
      Throws:
        `XFValidationException` - the XF validation exception